package com.ozs.service.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author Administrator
 */
@Data
public class BaseElectricityResumeVo {
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 剩余电量
     */
    private Integer electricity;
    /**
     * 里程位置
     */
    private Integer installMile;
    /**
     * 里程位置
     */
    private String installMiles;
    /**
     * 测点名称
     */
    private String measurePointName;

    /**
     * 线路类型名称（1=高铁,2=普铁）
     */
    private String railwayType;

    /**
     * 线路名称
     */
    private String railwayName;

}
